<?php
/* =====================================================================
 * Dieses Skript ist Teil von "Wetter-Analyse in Dekaden (WADE)"
 * Von "Trixi aus Witten/NRW" - http://taw-wade.kilu.de/
 *                 Version 17.07.01 - Build 23.07.2017
 * Lizenziert unter "Namensnennung-Weitergabe unter gleichen Bedingungen
 * 3.0 Deutschland (CC BY-SA 3.0)"
 *                 ==> http://creativecommons.org/licenses/by-sa/3.0/de/
 *
 * Diese Software ist FREIE SOFTWARE und wird mit der Hoffnung, daß sie
 * nützlich sein könnte, zur Verfügung gestellt, jedoch OHNE JEDE
 * GEWÄHRLEISTUNG. Auch nicht für eine ALLGEMEINE GEBRAUCHSTAUGLICHKEIT
 * oder Stabilität für die NUTZUNG ZU EINEM BESTIMMTEN ZWECK. Die freie
 * Software, von der hier die Rede sein soll, ist kein "Freibier",
 * sondern sie gibt dir die Freiheiten
 *
 *   o  die Software für einen beliebigen Zweck auszuführen
 *   o  die Funktionsweise der Software zu studieren und sie an deine
 *      eigenen Bedürfnisse anzupassen
 *   o  Kopien der Software weiterzugeben
 *   o  sowie die Software zu verbessern und diese Verbesserungen zu
 *      veröffentlichen.
*/
$einstellungen = array(
// VERFÜGBARE WETTERSTATIONEN ##########################################
	'daten'=>array(
		'Augsburg'=>array(
			'code'=>'10852',
			'name'=>'Augsburg',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>462,
			'position'=>'48.43 10.94',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10852_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10852_00_akt.txt'
			),
		),
		'Dresden'=>array(
			'code'=>'10488',
			'name'=>'Dresden-Klotzsche',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>227,
			'position'=>'51.13 13.76',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10488_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10488_00_akt.txt'
			),
		),
		'Duesseldorf'=>array(
			'code'=>'10400',
			'name'=>'Düsseldorf',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>37,
			'position'=>'51.3 6.77',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10400_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10400_00_akt.txt'
			),
		),

		'Frankfurt'=>array(
			'code'=>'10637',
			'name'=>'Frankfurt/M-Flughafen',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>112,
			'position'=>'50.05 8.6',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10637_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10637_00_akt.txt'
			),
		),
		'Hamburg'=>array(
			'code'=>'10147',
			'name'=>'Hamburg-Fuhlsbüttel',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>11,
			'position'=>'53.64 9.99',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10147_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10147_00_akt.txt'
			),
		),

		'Karlsruhe'=>array(
			'code'=>'10727',
			'name'=>'Karlsruhe',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>112,
			'position'=>'49.04 8.37',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10727_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10727_00_akt.txt'
			),
		),

		'Potsdam'=>array(
			'code'=>'10379',
			'name'=>'Potsdam',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>31,
			'position'=>'52.38 13.06',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10379_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10379_00_akt.txt'
			),
		),

		'Stuttgart'=>array(
			'code'=>'10738',
			'name'=>'Stuttgart-Echterdingen',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>371,
			'position'=>'48.69 9.23',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10738_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10738_00_akt.txt'
			),
		),

		'Zugspitze'=>array(
			'code'=>'10961',
			'name'=>'Zugspitze',
			'quelle'=>'Deutscher Wetterdienst (DWD)',
			'kommentar'=>'',
			'hoehe'=>2960,
			'position'=>'47.42 10.99',
			'aktualisieren'=>'ftp-dateigroesse',
			'aktualisieren_nur_neues'=>true,
			'datenformat_pruefen'=>true,
			'typus'=>'dwd_kl2000',
			'roh_daten'=>array(
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10961_bis_1999.txt.gz',
				'ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/subdaily/standard_format/kl_10961_00_akt.txt'
			),
		),

	),
// ZWISCHENSPEICHER ####################################################
	'zwischenspeicher'=>array(
		'speicher_pfad'=>'~/cache',
	),
// EXPORT EINSTELLUNGEN ################################################
	'export'=>array(
		'kommentar'=>'',
		'dekaden_auswahl'=>'*', // "*" für alle des Jahres, "jan/*" für alle im Januar oder "jan/2" nur die zweite Dekade. Mehrere getrennt mit Komma.
		'datenreihe_auswerten'=>'temperatur_max', // siehe bei "grafik"
		'konsolidierung_funktion'=>'mittelwert', // "mittelwert" oder "summe"
	),
// VEKTORGRAFIK EINSTELLUNGEN ##########################################
	'grafik'=>array(
		'ausgabe_datei_maske'=>'~/export/da_%station%_%jahr%.svg',
		'breite'=>1200, // in Pixel
		'hoehe'=>600, // in Pixel
		'pixelgenau'=>false, // Malt "schärfere" Vektor-Grafiken. Geschmackssache :)
		'stile_direkt_einfuegen'=>true, // Außer Browser können viele SVG-Anzeigeprogramme nichts mit CSS anfangen. Hier ist "true" ratsam.
		'stile_zusaetzliche_definitionen'=>'', // Eigene CSS-Definitionen
		'nullen_entfernen'=>false, // Werte, die genau null sind, werden nicht angezeigt. Das steigert gegebenfalls die Übersicht.
		'legende_zusatz_text'=>'', // Wird unterhalb der Legende in normal großer Schrift eingefügt
		'schriftart_normal'=>'Droid Sans,tahoma,sans-serif',
		'schriftart_ueberschrift'=>'Droid Sans,verdana,sans-serif',
		'schriftart_festbreite'=>'Droid Sans Mono,monospace',
		'schriftgroesse_ueberschrift_gross'=>'24pt',
		'schriftgroesse_ueberschrift_klein'=>'14pt',
		'schriftgroesse_gross'=>'13pt',
		'schriftgroesse_normal'=>'9pt',
		'schriftgroesse_werte_zeigen'=>'7pt',
		'schriftgroesse_y_achse'=>'12pt',
		'schriftgroesse_x_achse_gross'=>'12pt',
		'schriftgroesse_x_achse_klein'=>'8pt',
		'diagramm_y_achse_alle_x_werte_dicke_linie'=>0, // werte, die sich glatt teilen lassen, bekommen eine
		// dicke teil-linie. 0=deaktiviert.
		'diagramm_y_achse_maximum'=>10, // bei 'abweichung' ist minimum entsprechend weit im minus.
		// bei 'mittel' oder 'absolut' steht -1 für Automatik (empfohlen).
		'diagramm_legende_abstand'=>175, // in Pixel
		'diagramm_werte_zeigen_hoehe'=>16, // in Pixel
		'diagramm_abstand'=>50, // in Pixel [derzeit nicht änderbar]
		'diagramm_balken_abstand'=>4, // in Pixel (links+rechts zusammen)
		'diagramm_balken_breite'=>4, // in Pixel oder <= 0 für automatisch
		'diagramm_balken_daten'=>array(
/* Verfügbare Datenreihen: temperatur_max, temperatur_mit, temperatur_min,
 * luftdruck_mit, feuchte_mit, wind_mit, sonne, niederschlag, schneehoehe, wolken_mit
 * %tropentag, %sommertag, %frosttag, %eistag, %tropennacht, %regentag, %schneetag, %sonnenschein
 *
 * Das Format lautet: Name, Farbe, Titel, Sichtbarkeit und Optionen
 * Die Farbe wird hexadezimal angegeben, als RGB-Tripel oder Name.
 * Für das erste findest du Auswahlhilfen im Internet. Die RGB-Werte
 * sind im Format "rgb(x,y,z)" wobei jedes eine Zahl zwischen 0 und 255
 * sein muß für Rot, Grün und Blau. Auch da gibt es Hilfsstellungen im
 * Netz. Ansonsten gehen Farbnamen auf Englisch wie "red", "green" usw.
 * Die Sichtbarkeit reicht von 0 bis 1 mit einer Nachkommastelle. "0.5"
 * entspricht zum Beispiel mit 50% halbe Sichtbarkeit.
 * Als Option gibt es derzeit nur "werte_zeigen".
 * werte_zeigen -> Am oberen Rand des Diagramms werden die Absolutwerte dargestellt
 * dynwert_zeigen -> Javascript-fähige Programme (z.B. Browser) können diese Werte auch
 *                   dynamisch als Textfeld anzeigen, je nachdem über welchem Balken der Mauszeiger
 *                   schwebt.
 * legende_nur_name -> Keine Abweichung/Summe/Mittelwert am Namen anzeigen
 * legende_summe_zeigen -> Die Summe der Absolutwerte am Namen anzeigen
 * legende_mittel_zeigen -> Den Mittelwert der Absolutwerte am Namen anzeigen
 * */
			'temperatur_mit,#ff6666,Mitteltemperatur °C,1.0',
			'temperatur_max,#ff66ff,Höchsttemperatur °C,1.0',
			'temperatur_min,#6666ff,Tiefsttemperatur °C,1.0',
			'sonne,#eecc00,Sonnenschein Stunden,1.0',
			'luftdruck_mit,#009900,Luftdruck hPa,1.0',
			'%regentag,#999999,Regentage,1.0'
			),
	),
// REPORT DATEIEN ######################################################
	'report'=>array(
		'ausgabe_datei_maske'=>'~/report/da_%station%_%aktion%_report__%paramhash%.%typ%',
		'lizenz_text'=>'',
		'lizenz_uri'=>'',
	),
// DEKADEN REKORDE OPTIONEN ############################################
	'rekorde'=>array(
		'kommentar'=>'',
		'monate_anzeigen'=>'*', // * oder getrennt mit Komma z.B "6,7,8"
		'tages_rekorde_anzeigen'=>true,
		'dekaden_rekorde_anzeigen'=>true,
		'maximum_rekorde_anzeigen'=>true,
		'minimum_rekorde_anzeigen'=>true,
		'hervorheben_in_html'=>true,
		'jahre_markieren_in_html'=>'',
		'datenreihen_auswerten'=>array( // siehe bei "grafik"
			'temperatur_max',
			'temperatur_min',
			'temperatur_mit'
		),
	),
// WIESELFLINKE OPTIONEN ###############################################
	'wieselflink'=>array(
		'kommentar'=>'',
		'monate_anzeigen'=>'*', // * oder getrennt mit Komma z.B "6,7,8"
		'gesamt_werte_anzeigen'=>true,
		'leere_jahre_weglassen'=>true,
		'nullen_entfernen'=>false,
		'ergebnis_sortieren'=>'', // "", "aufsteigend" oder "absteigend"
	),
// HITLISTE OPTIONEN ###################################################
	'hitliste'=>array(
		'kommentar'=>'',
		'dekaden_auswahl'=>'*', // "*" für alle des Jahres, "jan/*" für alle im Januar oder "jan/2" nur die zweite Dekade. Mehrere getrennt mit Komma.
		'datenreihe_auswerten'=>'temperatur_max', // siehe bei "grafik"
		'konsolidierung_funktion'=>'mittelwert', // "mittelwert" oder "summe"
		'ergebnis_anzahl'=>10,
		'ergebnis_sortieren'=>'', // "", "aufsteigend" oder "absteigend"
	),
// STRASSE OPTIONEN ####################################################
	'strasse'=>array(
		'kommentar'=>'',
		'dekaden_auswahl'=>'*', // "*" für alle des Jahres, "jan/*" für alle im Januar oder "jan/2" nur die zweite Dekade. Mehrere getrennt mit Komma.
		'mindest_steine'=>3, // wieviele Tage hintereinander müssen es mindestens sein
		'erlaubte_loecher'=>0, // wieviele Tage Unterbrechung sind in der Strasse erlaubt
		'ergebnis_anzahl'=>10,
		'ergebnis_sortieren'=>'', // "", "aufsteigend" oder "absteigend"
		'werte_einzeln_anzeigen'=>false,
		'durchschnitt_anzeigen'=>false,
		'mehrfaches_anfangsdatum_filtern'=>false
	),
// PROXY ###############################################################
	'proxy'=>array(
		'ftp_benutzen'=>false, // brauchst du im Regelfall nicht
		'http_benutzen'=>false, // brauchst du im Regelfall nicht
		'http_hostname'=>'', // IP-Adresse/Hostname:Port
		'ftp_hostname'=>'', // IP-Adresse/Hostname:Port
		'volle_uri_senden'=>true, // einige Proxies möchten das, andere nicht
	),

);
?>
